#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define	module zope.event
Summary:	Simple event system
Summary(pl.UTF-8):	Prosty system zdarzeń
Name:		python3-%{module}
Version:	5.0
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-event/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
# Source0-md5:	8639012f7c6a762d245f9229a6e900af
URL:		https://www.zope.org/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
Requires:	python3-zope-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zope.event package provides a simple event system. It provides:
- an event publishing system
- a very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. (For example, a type-based
  event dispatching system that builds on zope.event can be found in
  zope.component)

%description -l pl.UTF-8
Pakiet zope.event udostępnia prosty system zdarzeń. Zawiera:
- system publikacji zdarzeń
- bardzo prosty system przekazywania zdarzeń, w oparciu o który można
  stworzyć bardziej wyszukane systemy przekazywania zdarzeń (na przykład
  system przekazywania zdarzeń oparty na typach, zbudowany w oparciu o
  zope.event, można znaleźć w zope.component)

%package apidocs
Summary:	API documentation for Python zope.event module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.event
Group:		Documentation

%description apidocs
API documentation for Python zope.event module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.event.

%prep
%setup -q -n %{module}-%{version}

%if %{with doc}
# incorrect mapping?
%{__sed} -i -e '/^intersphinx_mapping/,/^}/ d' docs/conf.py
%endif

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m zope.testrunner --test-path=src
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{py3_sitescriptdir}/zope/event
%{py3_sitescriptdir}/zope.event-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.event-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Mon Apr 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.event.git;a=log;h=master

* Mon Apr 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 5f96020
- drop intersphinx mapping rejected by sphinx 8

* Sun Apr 27 2025 Jakub Bogusz <qboosh@pld-linux.org> ced81cd
- python-zope.event.spec updated to 5.0 for python 3.7+

* Sun Apr 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 720e349
- switched docs to python2

* Sun Apr 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 8e87014
- updated to 4.6

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9e29291
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b5b00d9
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 34e7b04
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c3d4a36
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> c619f7f
- updated to 4.5.0
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> ec51121
- release 4 (by relup.sh)

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> d1f0e21
- release 3 (by relup.sh)

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e49dd1
- rel 2; looks noarch to me

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 4e39a7f
- use default (py3) sphinx-build

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 009fac4
- updated to 4.4
- added tests and apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> daa2a78
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 34674a0
- release 2 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 20ecb65
- Python3 support added

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 304869f
- Version: 4.3.0

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> ca549da
- Zope-Event renamed to python-zope.event

* Mon Dec 07 2015 Elan Ruusamäe <glen@delfi.ee> f1bfdf5
- rebuild for pythonegg deps
- release 3 (by relup.sh)

